GET
/product/202405/products/seo_words
Obtain SEO suggestions for product titles of live products (status: ACTIVATE) to enhance product visibility.
Applicable only for the US, UK, and SEA markets.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
product_ids
required
Array<string>
The product IDs for which you want to obtain SEO suggestions.
- Max IDs: 20
- The product must be live (
ACTIVATEstatus)
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
products
The requested products for which SEO keyword suggestions were returned. Products without returned suggestions are omitted. When no suggestions are returned, products may be omitted or returned as an empty list.
Array<object>
object
id
The product ID.
string
seo_words
The list of SEO keyword suggestions for the product title.
Array<object>
object
text
The suggested SEO keyword text.
string
Example
{ "code": 0, "data": { "products": [ { "id": "12345", "seo_words": [ { "text": "dress" } ] } ] }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}